All Data Structures Namespaces Files Functions Variables Pages
ModelBaseTest Class Reference
Inheritance diagram for ModelBaseTest:

## Public Member Functions

| testModelCreation ()
| testInstallFailure ()

## Detailed Description

Definition at line 3 of file ModelBaseTest.php.

## Member Function Documentation

testInstallFailure | ( |  | ) |

Definition at line 16 of file ModelBaseTest.php.

{
list($server, $mysqlConfig) = require("test/config.php");
$dbh = new PDO($mysqlConfig[4][0], $mysqlConfig[1], $mysqlConfig[2]);
$dbh->exec("DROP DATABASE ".$mysqlConfig[4][1]);
\Entity\ModelBase::init($mysqlConfig);
$context = new \Tools\Context($server, false);
$this->assertFalse(\Entity\ModelBase::setup());
}
Entity\ModelBase\init
static init($config=null)
Definition: ModelBase.php:23
Entity
Definition: Address.php:3
$context
$context
Definition: index.php:6

testModelCreation | ( |  | ) |

Definition at line 5 of file ModelBaseTest.php.

{
list($server, $mysqlConfig) = require("test/config.php");
$dbh = new PDO($mysqlConfig[4][0], $mysqlConfig[1], $mysqlConfig[2]);
$dbh->exec("DROP DATABASE ".$mysqlConfig[4][1]);
$dbh->exec("CREATE DATABASE ".$mysqlConfig[4][1]);
\Entity\ModelBase::init($mysqlConfig);
$context = new \Tools\Context($server, false);
\Entity\ModelBase::setup();
}
Entity\ModelBase\init
static init($config=null)
Definition: ModelBase.php:23
Entity\ModelBase\setup
static setup()
Definition: ModelBase.php:53
$context
$context
Definition: index.php:6

The documentation for this class was generated from the following file:

- /home/isundil/Project/ecom/test/models/ModelBaseTest.php